This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 483463 - pfstools : Unowned directories
pfstools : Unowned directories
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pfstools (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ulrich Drepper
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-01 10:49 EST by Michael Schwendt
Modified: 2009-02-06 00:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 00:19:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-02-01 10:49:26 EST
One or more directories are not included within this
package and/or its sub-packages:

=> pfstools-1.7.0-2.fc11.src.rpm
=> pfstools-devel-1.7.0-2.fc11.i386 (rawhide-development-i386)
/usr/include/pfs-1.2

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories

The script to find unowned directories is not complete yet, but
still quite usable: http://mschwendt.fedorapeople.org/dircheck-remote.py
$ ./dircheck-remote.py -r rawhide -n ^pfstools
Comment 1 Fedora Update System 2009-02-06 00:19:26 EST
pfstools-1.7.0-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2009-02-06 00:25:18 EST
pfstools-1.7.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.